
module Data.DOM.EmbeddingElement
       (get'contentDocument, getm'contentDocument, get'contentWindow,
        getm'contentWindow)
       where
import Data.DOM.WindowObj
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Views
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
get'contentDocument ::
                    (Monad mn, CEmbeddingElement this, CDocument zz) =>
                      Expression this -> mn (Expression zz)
get'contentDocument thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "contentDocument")
       return r
 
getm'contentDocument ::
                     (Monad mn, CEmbeddingElement this) =>
                       Expression this -> mn (Expression TDocument)
getm'contentDocument = get'contentDocument
 
get'contentWindow ::
                  (Monad mn, CEmbeddingElement this, CWindow zz) =>
                    Expression this -> mn (Expression zz)
get'contentWindow thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "contentWindow")
       return r
 
getm'contentWindow ::
                   (Monad mn, CEmbeddingElement this) =>
                     Expression this -> mn (Expression TWindow)
getm'contentWindow = get'contentWindow

