
module Data.DOM.HTMLScriptElement
       (set'text, get'text, getm'text, set'htmlFor, get'htmlFor,
        getm'htmlFor, set'event, get'event, getm'event, set'charset,
        get'charset, getm'charset, set'defer, get'defer, getm'defer,
        set'src, get'src, getm'src, set'type, get'type, getm'type,
        mkScript)
       where
import Data.DOM.Html2
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
set'text ::
         (Monad mn, CHTMLScriptElement zz) =>
           Expression String -> Expression zz -> mn (Expression zz)
set'text = setjsProperty "text"
 
get'text ::
         (Monad mn, CHTMLScriptElement this) =>
           Expression this -> mn (Expression String)
get'text thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "text")
       return r
 
getm'text ::
          (Monad mn, CHTMLScriptElement this) =>
            Expression this -> mn (Expression String)
getm'text = get'text
 
set'htmlFor ::
            (Monad mn, CHTMLScriptElement zz) =>
              Expression String -> Expression zz -> mn (Expression zz)
set'htmlFor = setjsProperty "htmlFor"
 
get'htmlFor ::
            (Monad mn, CHTMLScriptElement this) =>
              Expression this -> mn (Expression String)
get'htmlFor thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "htmlFor")
       return r
 
getm'htmlFor ::
             (Monad mn, CHTMLScriptElement this) =>
               Expression this -> mn (Expression String)
getm'htmlFor = get'htmlFor
 
set'event ::
          (Monad mn, CHTMLScriptElement zz) =>
            Expression String -> Expression zz -> mn (Expression zz)
set'event = setjsProperty "event"
 
get'event ::
          (Monad mn, CHTMLScriptElement this) =>
            Expression this -> mn (Expression String)
get'event thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "event")
       return r
 
getm'event ::
           (Monad mn, CHTMLScriptElement this) =>
             Expression this -> mn (Expression String)
getm'event = get'event
 
set'charset ::
            (Monad mn, CHTMLScriptElement zz) =>
              Expression String -> Expression zz -> mn (Expression zz)
set'charset = setjsProperty "charset"
 
get'charset ::
            (Monad mn, CHTMLScriptElement this) =>
              Expression this -> mn (Expression String)
get'charset thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "charset")
       return r
 
getm'charset ::
             (Monad mn, CHTMLScriptElement this) =>
               Expression this -> mn (Expression String)
getm'charset = get'charset
 
set'defer ::
          (Monad mn, CHTMLScriptElement zz) =>
            Expression Bool -> Expression zz -> mn (Expression zz)
set'defer = setjsProperty "defer"
 
get'defer ::
          (Monad mn, CHTMLScriptElement this) =>
            Expression this -> mn (Expression Bool)
get'defer thisp
  = do let et = undefined :: Bool
       let r = DotRef et (thisp /\ et) (Id et "defer")
       return r
 
getm'defer ::
           (Monad mn, CHTMLScriptElement this) =>
             Expression this -> mn (Expression Bool)
getm'defer = get'defer
 
set'src ::
        (Monad mn, CHTMLScriptElement zz) =>
          Expression String -> Expression zz -> mn (Expression zz)
set'src = setjsProperty "src"
 
get'src ::
        (Monad mn, CHTMLScriptElement this) =>
          Expression this -> mn (Expression String)
get'src thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "src")
       return r
 
getm'src ::
         (Monad mn, CHTMLScriptElement this) =>
           Expression this -> mn (Expression String)
getm'src = get'src
 
set'type ::
         (Monad mn, CHTMLScriptElement zz) =>
           Expression String -> Expression zz -> mn (Expression zz)
set'type = setjsProperty "type"
 
get'type ::
         (Monad mn, CHTMLScriptElement this) =>
           Expression this -> mn (Expression String)
get'type thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "type")
       return r
 
getm'type ::
          (Monad mn, CHTMLScriptElement this) =>
            Expression this -> mn (Expression String)
getm'type = get'type
 
mkScript ::
         (Monad mn, CHTMLDocument a) =>
           Expression a -> mn (Expression THTMLScriptElement)
mkScript = createElement (StringLit "script" "script")

